Spaces method and path for this operation:
get /s/{space_id}/api/agent_builder/plugins/{pluginId}
Refer to Spaces for more information.
Get a specific plugin by ID.
[Required authorization] Route required privileges: agentBuilder:read.
GET
/api/agent_builder/plugins/{pluginId}
curl
curl \
-X GET "${KIBANA_URL}/api/agent_builder/plugins/{id}" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/agent_builder/plugins/{id}
Response examples (200)
Example response returning a single installed plugin
{
"created_at": "2025-01-01T00:00:00.000Z",
"description": "Financial analysis tools and skills for Claude",
"id": "financial-analysis",
"manifest": {
"author": {
"name": "Anthropic",
"url": "https://www.anthropic.com"
},
"keywords": [
"finance",
"analysis"
],
"repository": "https://github.com/anthropics/financial-services-plugins"
},
"name": "financial-analysis",
"skill_ids": [
"financial-analysis-analyze-portfolio"
],
"source_url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
"unmanaged_assets": {
"agents": [],
"hooks": [],
"lsp_servers": [],
"mcp_servers": [],
"output_styles": []
},
"updated_at": "2025-01-01T00:00:00.000Z",
"version": "1.0.0"
}